clc
clear all
load raw_lic_meas_time.mat

%%
startS = 1;
endS = 2000;

s_time = textdata(startS:endS,:);
s_data = data(startS:endS);

N = length(s_time);
lic_meas = zeros(N,1);
ret = zeros(N,1);
sec = zeros(N,1);
for i=1:N-1  
    mid_d = char(cellstr(s_time(i,1)));
    mid_t = char(cellstr(s_time(i,2)));
    y = sscanf(mid_d(7:10),'%d');
    mth = sscanf(mid_d(4:5),'%d');
    d = sscanf(mid_d(1:2),'%d');
    h = sscanf(mid_t(1:2),'%d');
    min = sscanf(mid_t(4:5),'%d');
    s = sscanf(mid_t(7:8),'%d');
    lic_meas(N-i) = s_data(i);
    sec(N-i) = s + 60*min + 3600*h + d;
    ret(N-i) = datenum([y mth d h min s]);
end

first_sec = sec(1);
for j = 1:N-1
    sec(j) = sec(j) - first_sec;
end

lic_meas_sec = sec(1:N-1);
lic_meas_time = ret(1:N-1);
lic_meas = lic_meas(1:N-1);



close all

figure(1)
plot(lic_meas_sec,lic_meas-67,'-o');
title('Gas control output');
%datetick('x','mm-ss', 'keeplimits', 'keepticks');

%save lic_meas_data_short lic_meas_time lic_meas
