clc
clear all

%load sinFracData
load constFracData
%% Level control Normal stiction test
clc
startS = 1;
endS = length(time);

levelSec = time(startS:endS) - time(1);
levelMeas = (S1_Voil_N(startS:endS)-S1_Voilset_N(startS:endS))*100/81.9;
presSec = time(startS:endS) - time(1);
presMeas = S1_P_N(startS:endS) - S1_Pset_N(startS:endS);


[level.A1_int_y level.A2_int_y level.zero_cross_x level.zero_cross_y level.max_x level.max_y level.min_x level.min_y level.R] = singhal_met(levelSec,levelMeas);
close all
f3 = figure(3);
plot(levelSec,levelMeas,'k');%,max_x,max_y, 'o',min_x,min_y, 'x',zero_cross_x,zero_cross_y,'*'  )
axis([0 600 -0.4 0.4]);
ylabel('Level control error (% of max)');
xlabel('Time (s)')
hold on;
%legend('''Top','Bottom','Zero_cross')
%stem_y = [level.A1_int_y;level.A2_int_y]';
h1 = stem(levelSec,level.A1_int_y);
set(h1,'marker','none');
set(h1,'color','red');
h2 = stem(levelSec,level.A2_int_y);
set(h2,'marker','none');
set(h2,'color','blue');
hold off;
set(f3, 'PaperUnits', 'centimeters');
set(f3, 'PaperSize', [15 5]);
set(f3, 'PaperPosition', [0 0 15 5]);
saveas(f3,'alg_simtest_levelN','pdf')

levelStatN = analyzeData(level,levelSec);

% pressure controller test
[pres.A1_int_y pres.A2_int_y pres.zero_cross_x pres.zero_cross_y pres.max_x pres.max_y pres.min_x pres.min_y pres.R] = singhal_met(presSec,presMeas);

f4 = figure(4);
plot(presSec,presMeas,'black');%,max_x,max_y, 'o',min_x,min_y, 'x',zero_cross_x,zero_cross_y,'*'  )
axis([0 600 -0.4 0.4]);
ylabel('Pressure control error (bar)');
xlabel('Time (s)')
hold on;
%legend('''Top','Bottom','Zero_cross')
%stem_y = [level.A1_int_y;level.A2_int_y]';
h3 = stem(presSec,pres.A1_int_y);
set(h3,'marker','none');
set(h3,'color','red');
h4 = stem(presSec,pres.A2_int_y);
set(h4,'marker','none');
set(h4,'color','blue');
hold off;
set(f4, 'PaperUnits', 'centimeters');
set(f4, 'PaperSize', [15 5]);
set(f4, 'PaperPosition', [0 0 15 5]);
saveas(f4,'alg_simtest_presN','pdf')

presStatN = analyzeData(pres,presSec);

%% Level control High stiction test
clc
startS = 1;
endS = length(time);

levelSec = time(startS:endS) - time(1);
levelMeas = (S1_Voil_H(startS:endS)-S1_Voilset_H(startS:endS))*100/81.9;
presSec = time(startS:endS) - time(1);
presMeas = S1_P_H(startS:endS) - S1_Pset_H(startS:endS);


[level.A1_int_y level.A2_int_y level.zero_cross_x level.zero_cross_y level.max_x level.max_y level.min_x level.min_y level.R] = singhal_met(levelSec,levelMeas);
close all
f3 = figure(3);
plot(levelSec,levelMeas,'k');%,max_x,max_y, 'o',min_x,min_y, 'x',zero_cross_x,zero_cross_y,'*'  )
axis([0 600 -0.4 0.4]);
ylabel('Level control error (% of max)');
xlabel('Time (s)')
hold on;
%legend('''Top','Bottom','Zero_cross')
%stem_y = [level.A1_int_y;level.A2_int_y]';
h1 = stem(levelSec,level.A1_int_y);
set(h1,'marker','none');
set(h1,'color','red');
h2 = stem(levelSec,level.A2_int_y);
set(h2,'marker','none');
set(h2,'color','blue');
hold off;
set(f3, 'PaperUnits', 'centimeters');
set(f3, 'PaperSize', [15 5]);
set(f3, 'PaperPosition', [0 0 15 5]);
saveas(f3,'alg_simtest_levelH','pdf')

levelStatH = analyzeData(level,levelSec);

% pressure controller test
[pres.A1_int_y pres.A2_int_y pres.zero_cross_x pres.zero_cross_y pres.max_x pres.max_y pres.min_x pres.min_y pres.R] = singhal_met(presSec,presMeas);

f4 = figure(4);
plot(presSec,presMeas,'black');%,max_x,max_y, 'o',min_x,min_y, 'x',zero_cross_x,zero_cross_y,'*'  )
axis([0 600 -0.5 0.5]);
ylabel('Pressure control error (bar)');
xlabel('Time (s)')
hold on;
%legend('''Top','Bottom','Zero_cross')
%stem_y = [level.A1_int_y;level.A2_int_y]';
h3 = stem(presSec,pres.A1_int_y);
set(h3,'marker','none');
set(h3,'color','red');
h4 = stem(presSec,pres.A2_int_y);
set(h4,'marker','none');
set(h4,'color','blue');
hold off;
set(f4, 'PaperUnits', 'centimeters');
set(f4, 'PaperSize', [15 5]);
set(f4, 'PaperPosition', [0 0 15 5]);
saveas(f4,'alg_simtest_presH','pdf')

presStatH = analyzeData(pres,presSec);






