clc
clear all

%load sinFracData
load idealData
%% Ideal case high stiction test
clc
startS = 6000;
endS = 12000;

presSec = PV_ideal.time(startS:endS) - 600;
presMeas = PV_ideal.signals.values(startS:endS) - 0.3;


% pressure controller test
[pres.A1_int_y pres.A2_int_y pres.zero_cross_x pres.zero_cross_y pres.max_x pres.max_y pres.min_x pres.min_y pres.R] = singhal_met(presSec,presMeas);

f4 = figure(4);
plot(presSec,presMeas,'black');%,max_x,max_y, 'o',min_x,min_y, 'x',zero_cross_x,zero_cross_y,'*'  )
axis([0 600 -0.1 0.1]);
%ylabel('Controller error');
xlabel('Time (s)')
hold on;
%legend('''Top','Bottom','Zero_cross')
%stem_y = [level.A1_int_y;level.A2_int_y]';
h3 = stem(presSec,pres.A1_int_y);
set(h3,'marker','none');
set(h3,'color','red');
h4 = stem(presSec,pres.A2_int_y);
set(h4,'marker','none');
set(h4,'color','blue');
hold off;
set(f4, 'PaperUnits', 'centimeters');
set(f4, 'PaperSize', [15 5]);
set(f4, 'PaperPosition', [0 0 15 5]);
saveas(f4,'alg_idealtest_HhalfKc','pdf')

presStatH = analyzeData(pres,presSec);

%% sinus data
x = 1:0.1:600;
y = 0.075*sin(2*pi/50*x);

%plot(x,y);

%% Sinus test
clc
startS = 1;
endS = length(x);

levelSec = x(startS:endS);
levelMeas = y(startS:endS);


[level.A1_int_y level.A2_int_y level.zero_cross_x level.zero_cross_y level.max_x level.max_y level.min_x level.min_y level.R] = singhal_met(levelSec,levelMeas);
close all
f3 = figure(3);
plot(levelSec,levelMeas,'k');%,max_x,max_y, 'o',min_x,min_y, 'x',zero_cross_x,zero_cross_y,'*'  )
axis([0 600 -0.1 0.1]);
%ylabel('0.05sin((2pi/50)t)');
xlabel('Time (s)')
hold on;
%legend('''Top','Bottom','Zero_cross')
%stem_y = [level.A1_int_y;level.A2_int_y]';
h1 = stem(levelSec,level.A1_int_y);
set(h1,'marker','none');
set(h1,'color','red');
h2 = stem(levelSec,level.A2_int_y);
set(h2,'marker','none');
set(h2,'color','blue');
hold off;
set(f3, 'PaperUnits', 'centimeters');
set(f3, 'PaperSize', [15 5]);
set(f3, 'PaperPosition', [0 0 15 5]);
saveas(f3,'alg_idealtest_sin','pdf')

levelStatN = analyzeData(level,levelSec);