clear all
clc

% H high stiction, N normal stiction, NO no stiction, only viscous and
% colomb friction

Mw_o   = 86/1000;           %Molecule weight for oil (C6H14) [kg/mol]
pa2bar = 1E5;
load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Model_simulering\Simulation\Results\23.05.09\High_stiction\high_stiction.mat'


startT = 1400;
endT = 2000;
sampleT = Fin.time(2)-Fin.time(1)
startS = startT/sampleT
endS = length(Fin.signals.values-1)



time = S1_Foout.time(startS:endS);
S1_Moout_H = Mw_o*S1_Foout.signals.values(startS:endS);
S2_Moout_H = Mw_o*S2_Foout.signals.values(startS:endS);
S1_Mgout_H = S1_Mgout.signals.values(startS:endS);
S2_Mgout_H = S2_Mgout.signals.values(startS:endS);

S1_Foout_H = S1_Foout.signals.values(startS:endS);
S2_Foout_H = S2_Foout.signals.values(startS:endS);
Z_in = S1_Zin.signals.values(startS:endS);

S1_P_H = S1_P.signals.values(startS:endS)/pa2bar;
S1_Pset_H = S1_Pset.signals.values(startS:endS)/pa2bar;
S2_P_H = S2_P.signals.values(startS:endS)/pa2bar;
S2_Pset_H = S2_Pset.signals.values(startS:endS)/pa2bar;

S1_Voil_H = S1_Voil.signals.values(startS:endS)*100/81.9;
S2_Voil_H = S2_Voil.signals.values(startS:endS)*100/81.9;
S1_Voilset_H = S1_Voilset.signals.values(startS:endS)*100/81.9;
S2_Voilset_H = S2_Voilset.signals.values(startS:endS)*100/81.9;

VS1_MV_H = VS1_MV.signals.values(startS:endS);  %pressure control valve
VS2_MV_H = VS2_MV.signals.values(startS:endS);  %pressure control valve
V2S1_MV_H = V3S1_MV.signals.values(startS:endS); %level control valve
V2S2_MV_H = VS2_MV2.signals.values(startS:endS); %level control valve
VS1_OP_H = VS1_OP.signals.values(startS:endS);
VS2_OP_H = VS2_OP.signals.values(startS:endS);
V2S1_OP_H = V3S1_OP.signals.values(startS:endS);
V2S2_OP_H = VS2_OP2.signals.values(startS:endS);

omega_H = omega.signals.values(startS:endS);
C2_Pout_H = C2_Pout.signals.values(startS:endS)/pa2bar;
C2_Mout_H = Tot_Mgout.signals.values(startS:endS);
C3_Pout_H = C3_Pout.signals.values(startS:endS/pa2bar);
C3_Mout_H = C3_Mout.signals.values(startS:endS);

load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Model_simulering\Simulation\Results\23.05.09\Normal_stiction\normal_stiction.mat'

S1_Moout_N = Mw_o*S1_Foout.signals.values(startS:endS);
S2_Moout_N = Mw_o*S2_Foout.signals.values(startS:endS);
S1_Mgout_N = S1_Mgout.signals.values(startS:endS);
S2_Mgout_N = S2_Mgout.signals.values(startS:endS);

S1_Foout_N = S1_Foout.signals.values(startS:endS);
S2_Foout_N = S2_Foout.signals.values(startS:endS);

S1_P_N = S1_P.signals.values(startS:endS)/pa2bar;
S1_Pset_N = S1_Pset.signals.values(startS:endS)/pa2bar;
S2_P_N = S2_P.signals.values(startS:endS)/pa2bar;
S2_Pset_N = S2_Pset.signals.values(startS:endS)/pa2bar;

S1_Voil_N = S1_Voil.signals.values(startS:endS)*100/81.9;
S2_Voil_N = S2_Voil.signals.values(startS:endS)*100/81.9;
S1_Voilset_N = S1_Voilset.signals.values(startS:endS)*100/81.9;
S2_Voilset_N = S2_Voilset.signals.values(startS:endS)*100/81.9;

VS1_MV_N = VS1_MV.signals.values(startS:endS);  %pressure control valve
VS2_MV_N = VS2_MV.signals.values(startS:endS);  %pressure control valve
V2S1_MV_N = V3S1_MV.signals.values(startS:endS); %level control valve
V2S2_MV_N = VS2_MV2.signals.values(startS:endS); %level control valve
VS1_OP_N = VS1_OP.signals.values(startS:endS);
VS2_OP_N = VS2_OP.signals.values(startS:endS);
V2S1_OP_N = V3S1_OP.signals.values(startS:endS);
V2S2_OP_N = VS2_OP2.signals.values(startS:endS);

omega_N = omega.signals.values(startS:endS);
C2_Pout_N = C2_Pout.signals.values(startS:endS)/pa2bar;
C2_Mout_N = Tot_Mgout.signals.values(startS:endS);
C3_Pout_N = C3_Pout.signals.values(startS:endS)/pa2bar;
C3_Mout_N = C3_Mout.signals.values(startS:endS);

load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Model_simulering\Simulation\Results\23.05.09\No_stiction\no_stiction.mat'

S1_Moout_NO = Mw_o*S1_Foout.signals.values(startS:endS);
S2_Moout_NO = Mw_o*S2_Foout.signals.values(startS:endS);
S1_Mgout_NO = S1_Mgout.signals.values(startS:endS);
S2_Mgout_NO = S2_Mgout.signals.values(startS:endS);

S1_Foout_NO = S1_Foout.signals.values(startS:endS);
S2_Foout_NO = S2_Foout.signals.values(startS:endS);

S1_P_NO = S1_P.signals.values(startS:endS)/pa2bar;
S1_Pset_NO = S1_Pset.signals.values(startS:endS)/pa2bar;
S2_P_NO = S2_P.signals.values(startS:endS)/pa2bar;
S2_Pset_NO = S2_Pset.signals.values(startS:endS)/pa2bar;

S1_Voil_NO = S1_Voil.signals.values(startS:endS)*100/81.9;
S2_Voil_NO = S2_Voil.signals.values(startS:endS)*100/81.9;
S1_Voilset_NO = S1_Voilset.signals.values(startS:endS)*100/81.9;
S2_Voilset_NO = S2_Voilset.signals.values(startS:endS)*100/81.9;

VS1_MV_NO = VS1_MV.signals.values(startS:endS);  %pressure control valve
VS2_MV_NO = VS2_MV.signals.values(startS:endS);  %pressure control valve
V2S1_MV_NO = V3S1_MV.signals.values(startS:endS); %level control valve
V2S2_MV_NO = VS2_MV2.signals.values(startS:endS); %level control valve
VS1_OP_NO = VS1_OP.signals.values(startS:endS);
VS2_OP_NO = VS2_OP.signals.values(startS:endS);
V2S1_OP_NO = V3S1_OP.signals.values(startS:endS);
V2S2_OP_NO = VS2_OP2.signals.values(startS:endS);

omega_NO = omega.signals.values(startS:endS);
C2_Pout_NO = C2_Pout.signals.values(startS:endS)/pa2bar;
C2_Mout_NO = Tot_Mgout.signals.values(startS:endS);
C3_Pout_NO = C3_Pout.signals.values(startS:endS)/pa2bar;
C3_Mout_NO = C3_Mout.signals.values(startS:endS);

save sinFracData
%% plots for model simulation with slugs
close all
% f1 = figure(1);
% plot(time,S1_Pset_H,':',time, S1_P_NO,time, S1_P_N,'--',time, S1_P_H,'-.');
% title('S1 Pressure, increased sticktion');
% legend('P set','No stiction','Normal sticktion', 'High sticktion')
% xlabel('Time (s)');
% ylabel('Pressure (bar)');
% set(gca,'XTick',1:3);
% set(gca,'XTickLabel',{'no sticktion','normal sticktion','high sticktion'});
% 
% f2 = figure(2);
% p2 = plot(time, S1_Moout_NO,time, S1_Moout_N,'--',time, S1_Moout_H,'-.');
% title('S1 Oil outlet flow increased sticktion');
% legend('No stiction','Normal sticktion', 'High sticktion')
% xlabel('Time (s)');
% ylabel('Mass flow (kg/s)');

f1 = figure(1);
%subplot(5,1,1)
plot(time, S1_Voil_NO-S1_Voilset_NO,time, S1_Voil_N-S1_Voilset_NO,time, S1_Voil_H-S1_Voilset_NO);
%title('S1 oil volume controller error, increased sticktion');
l1 = legend('No stiction','Normal stiction', 'High stiction');
xlabel('Time (s)');
ylabel('Level control error (%)');
axis([startT endT -2.5 2.5]);
grid on;
set(f1, 'PaperUnits', 'centimeters');
set(l1,'orientation','horizontal','location','North');
set(f1, 'PaperSize', [15 5.5]);
set(f1, 'PaperPosition', [0 0 15 5.5]);
saveas(f1,'S1_vol_err_SIN','pdf')

%subplot(5,1,2)
f2 = figure(2);
plot(time, S1_P_NO-S1_Pset_H,time, S1_P_N-S1_Pset_H,time, S1_P_H-S1_Pset_H);
%title('S1 pressure controller error, increased sticktion');
%legend('No stiction','Normal sticktion', 'High sticktion')
xlabel('Time (s)');
ylabel('Pressure control error (bar)');
axis([startT endT -6 6]);
grid on;
set(f2, 'PaperUnits', 'centimeters');
set(f2, 'PaperSize', [15 5.5]);
set(f2, 'PaperPosition', [0 0 15 5.5]);
saveas(f2,'S1_press_err_SIN','pdf')
%%
radS2rpm = 2*pi/60; 
%subplot(5,1,3)
f3 = figure(3);
plot(time, omega_NO*radS2rpm, time, omega_N*radS2rpm, time, omega_H*radS2rpm);
%legend('No stiction','Normal sticktion', 'High sticktion')
xlabel('Time (s)');
ylabel('Shaft speed (RPM)');
axis([startT endT 147.6 148.8]);
grid on;
set(f3, 'PaperUnits', 'centimeters');
set(f3, 'PaperSize', [15 5.5]);
set(f3, 'PaperPosition', [0 0 15 5.5]);
saveas(f3,'M2_ShaftS_SIN','pdf')
%%

%subplot(5,1,4)
f4 = figure(4);
plot(time, C2_Pout_NO, time, C2_Pout_N, time, C2_Pout_H);
%legend('No stiction','Normal sticktion', 'High sticktion')
xlabel('Time (s)');
ylabel('Pressure (bar)');
axis([startT endT 140 143]);
grid on;
set(f4, 'PaperUnits', 'centimeters');
set(f4, 'PaperSize', [15 5.5]);
set(f4, 'PaperPosition', [0 0 15 5.5]);
saveas(f4,'C2_Pout_SIN','pdf')


f5 = figure(5);
%subplot(2,2,1)
plot(VS1_OP_N,VS1_MV_N);
%title('normal stiction, pressure control');
axis([0 0.15 0 0.15]);
xlabel('OP');
ylabel('MV');
grid on;
set(f5, 'PaperUnits', 'centimeters');
set(f5, 'PaperSize', [6 5]);
set(f5, 'PaperPosition', [0 0 6 5]);
saveas(f5,'MV_OP_norm_pres_SIN','pdf')


%subplot(2,2,2)
f6 = figure(4);
plot(VS1_OP_H,VS1_MV_H);
%title('high stiction, pressure control');
axis([0 0.15 0 0.15]);
xlabel('OP');
ylabel('MV');
grid on;
set(f6, 'PaperUnits', 'centimeters');
set(f6, 'PaperSize', [6 5]);
set(f6, 'PaperPosition', [0 0 6 5]);
saveas(f6,'MV_OP_high_pres_SIN','pdf')

%subplot(2,2,3)
f7 = figure(7);
plot(V2S1_OP_N,V2S1_MV_N);
%title('normal stiction, level control');
axis([0.5 0.9 0.5 0.9]);
xlabel('OP');
ylabel('MV');
grid on;
set(f7, 'PaperUnits', 'centimeters');
set(f7, 'PaperSize', [6 5]);
set(f7, 'PaperPosition', [0 0 6 5]);
saveas(f7,'MV_OP_norm_vol_SIN','pdf')

    
%subplot(2,2,4)
f8 = figure(8);
plot(V2S1_OP_H,V2S1_MV_H);
%title('high stiction, level control');
axis([0.5 0.9 0.5 0.9]);
xlabel('OP');
ylabel('MV');
grid on;
set(f8, 'PaperUnits', 'centimeters');
set(f8, 'PaperSize', [6 5]);
set(f8, 'PaperPosition', [0 0 6 5]);
saveas(f8,'MV_OP_high_vol_SIN','pdf')

f9 = figure(9);
%subplot(2,2,1)
plot(VS1_OP_N,S1_P_N);
%title('normal stiction, pressure control');
axis([0 0.2 34 38]);
xlabel('OP');
ylabel('PV');
grid on;
set(f9, 'PaperUnits', 'centimeters');
set(f9, 'PaperSize', [6 5]);
set(f9, 'PaperPosition', [0 0 6 5]);
saveas(f9,'PV_OP_norm_pres_SIN','pdf')

f10 = figure(10);
%subplot(2,2,2)
plot(VS1_OP_H,S1_P_H);
%title('high stiction, pressure control');
axis([0 0.2 34 38]);
xlabel('OP');
ylabel('PV');
grid on;
set(f10, 'PaperUnits', 'centimeters');
set(f10, 'PaperSize', [6 5]);
set(f10, 'PaperPosition', [0 0 6 5]);
saveas(f10,'PV_OP_high_pres_SIN','pdf')

f11 = figure(11);
% subplot(2,2,3)
plot(V2S1_OP_N,S1_Voil_N);
%title('normal stiction, level control');
axis([0.5 0.9 39 43]);
xlabel('OP');
ylabel('MV');
grid on;
set(f11, 'PaperUnits', 'centimeters');
set(f11, 'PaperSize', [6 5]);
set(f11, 'PaperPosition', [0 0 6 5]);
saveas(f11,'PV_OP_norm_vol_SIN','pdf')


f12 = figure(12);
%subplot(2,2,4)
plot(V2S1_OP_H,S1_Voil_H);
%title('high stiction, level control');
axis([0.5 0.9 39 43]);
xlabel('OP');
ylabel('PV');
grid on;
set(f12, 'PaperUnits', 'centimeters');
set(f12, 'PaperSize', [6 5]);
set(f12, 'PaperPosition', [0 0 6 5]);
saveas(f12,'PV_OP_high_vol_SIN','pdf')


%% plots for appendix
close all

f2 = figure(2);
plot(time, V2S1_OP_N,time,V2S1_MV_N);
l1 = legend('OP', 'MV');
axis([startT endT 0.5 0.9])
xlabel('time(s)');
grid on;
set(l1,'orientation','horizontal','location','North');
set(f2, 'PaperUnits', 'centimeters');
set(f2, 'PaperSize', [15 5.5]);
set(f2, 'PaperPosition', [0 0 15 5.5]);


f3 = figure(3);
plot(time, V2S1_OP_H,time,V2S1_MV_H);
% legend('OP', 'MV');
axis([startT endT 0.5 0.9])
xlabel('time(s)');
%ylabel('');
grid on;
set(f3, 'PaperUnits', 'centimeters');
set(f3, 'PaperSize', [15 5.5]);
set(f3, 'PaperPosition', [0 0 15 5.5]);

f4 = figure(4);
plot(time, VS1_OP_N,time,VS1_MV_N);
%legend('OP', 'MV');
axis([startT endT 0 0.2])
xlabel('time(s)');
%ylabel('');
grid on;
set(f4, 'PaperUnits', 'centimeters');
set(f4, 'PaperSize', [15 5.5]);
set(f4, 'PaperPosition', [0 0 15 5.5]);

f5 = figure(5);
plot(time, VS1_OP_H,time,VS1_MV_H);
%legend('OP', 'MV');
axis([startT endT 0 0.2])
xlabel('time(s)');
%ylabel('');
grid on;
set(f5, 'PaperUnits', 'centimeters');
set(f5, 'PaperSize', [15 5.5]);
set(f5, 'PaperPosition', [0 0 15 5.5]);


saveas(f2,'MV_OP_time_norm_vol_SIN','pdf')
saveas(f3,'MV_OP_time_high_vol_SIN','pdf')
saveas(f4,'MV_OP_time_norm_pres_SIN','pdf')
saveas(f5,'MV_OP_time_high_pres_SIN','pdf')



