clc
clear all

%load sinFracData
%load idealData
load idealDataLevel
%% Ideal case high stiction test method nr1
clc
startS = 500;
endS = 5000;

time = PV_ideal.time(startS:endS) - 50;
pv = PV_ideal.signals.values(startS:endS)-mean(PV_ideal.signals.values(startS:endS));
op = OP_ideal.signals.values(startS:endS);

close all
pvf100 = DiscFilter(pv,0.1,100);
alfa100 = 100 / (100 + 0.1)

pvf50 = DiscFilter(pv,0.1,50);
alfa50 = 50 / (50 + 0.1)

% pvf25 = DiscFilter(pv,0.1,10);
% %alfa100 = 100 / (100 + 0.1);

pvf10 = DiscFilter(pv,0.1,10);
alfa10 = 10 / (10 + 0.1)


len = length(op);
op = op(500:len);
pv = pv(500:len);
pvf100 = pvf100(500:len);
pvf50 = pvf50(500:len);
pvf10 = pvf10(500:len);


f1 = figure(1);
plot(op,pv);
xlabel('OP');
ylabel('PV filtered');
axis([-0.04 0.04 -0.2 0.2])
grid on;
set(f1, 'PaperUnits', 'centimeters');
set(f1, 'PaperSize', [6 5]);
set(f1, 'PaperPosition', [0 0 6 5]);
saveas(f1,'PV_OP_new2_0','pdf')

f2 = figure(2);
plot(op,pvf100);
axis([-0.04 0.04 -0.2 0.2])
xlabel('OP');
ylabel('PV');
grid on;
set(f2, 'PaperUnits', 'centimeters');
set(f2, 'PaperSize', [6 5]);
set(f2, 'PaperPosition', [0 0 6 5]);
saveas(f2,'PV_OP_new2_100','pdf')

f3 = figure(3);
plot(op,pvf50);
xlabel('OP');
ylabel('PV filtered');
axis([-0.04 0.04 -0.2 0.2])
grid on;
set(f3, 'PaperUnits', 'centimeters');
set(f3, 'PaperSize', [6 5]);
set(f3, 'PaperPosition', [0 0 6 5]);
saveas(f3,'PV_OP_new2_50','pdf')

f4 = figure(4);
plot(op,pvf10);
axis([-0.04 0.04 -0.2 0.2])
xlabel('OP');
ylabel('PV');
grid on;
set(f4, 'PaperUnits', 'centimeters');
set(f4, 'PaperSize', [6 5]);
set(f4, 'PaperPosition', [0 0 6 5]);
saveas(f4,'PV_OP_new2_10','pdf')



% f1 = figure(1);
% plot(op,pvf);
% xlabel('OP');
% ylabel('PV filtered');
% axis([-0.04 0.04 -0.2 0.2])
% grid on;
% set(f1, 'PaperUnits', 'centimeters');
% set(f1, 'PaperSize', [6 5]);
% set(f1, 'PaperPosition', [0 0 6 5]);
% saveas(f1,'new_ideal_PV_OP_filt_H','pdf')
% 
% f2 = figure(2);
% plot(op,pv);
% axis([-0.04 0.04 -0.2 0.2])
% xlabel('OP');
% ylabel('PV');
% grid on;
% set(f2, 'PaperUnits', 'centimeters');
% set(f2, 'PaperSize', [6 5]);
% set(f2, 'PaperPosition', [0 0 6 5]);
% saveas(f2,'new_ideal_PV_OP','pdf')

%% method nr2
len = length(op);
t1 = 0;
t2 = 10;
t3 = 50;
t4 = 200;
V2S1_OP_H = op;
S1_Voil_H = pv;
% length(V2S1_OP_H(1:len-50))
f11 = figure(11);
subplot(2,2,1)
plot(V2S1_OP_H,S1_Voil_H);
title('high stiction, level control , lag = 50S');
%axis([40.5 41.6 0.5 0.58])
xlabel('PV');
ylabel('OP');
%set(f10,'PaperSize',[6 5]);
grid on;

subplot(2,2,2)
plot(V2S1_OP_H(1:len-t2),S1_Voil_H(t2:len-1));
title('high stiction, level control, lag = 100S ');
%axis([40.5 41.6 0.5 0.58])
xlabel('PV');
ylabel('OP');
%set(f10,'PaperSize',[6 5]);
grid on;

subplot(2,2,3)
plot(V2S1_OP_H(1:len-t3),S1_Voil_H(t3:len-1));
title('high stiction, level control, lag = 150S ');
%axis([40.5 41.6 0.5 0.58])
xlabel('PV');
ylabel('OP');
%set(f10,'PaperSize',[6 5]);
grid on;

subplot(2,2,4)
plot(V2S1_OP_H(1:len-t4),S1_Voil_H(t4:len-1));
title('high stiction, level control, lag = 200S ');
%axis([40.5 41.6 0.5 0.58])
xlabel('PV');
ylabel('OP');
%set(f10,'PaperSize',[6 5]);
grid on;

%%
close all
f5 = figure(5);
%subplot(2,2,1)
plot(V2S1_OP_H,S1_Voil_H);
%title('high stiction, level control, lag = 10S ');
axis([-0.04 0.04 -0.2 0.2])
xlabel('OP');
ylabel('PV');
grid on;
set(f5, 'PaperUnits', 'centimeters');
set(f5, 'PaperSize', [6 5]);
set(f5, 'PaperPosition', [0 0 6 5]);
saveas(f5,'PV_OP_new1_0','pdf')


%subplot(2,2,2)
f6 = figure(6);
plot(V2S1_OP_H(1:len-t2),S1_Voil_H(t2:len-1));
%title('high stiction, level control, lag = 50S ');
axis([-0.04 0.04 -0.2 0.2])
xlabel('OP');
ylabel('PV');
grid on;
set(f6, 'PaperUnits', 'centimeters');
set(f6, 'PaperSize', [6 5]);
set(f6, 'PaperPosition', [0 0 6 5]);
saveas(f6,'PV_OP_new1_10','pdf')

%subplot(2,2,3)
f7 = figure(7);
plot(V2S1_OP_H(1:len-t3),S1_Voil_H(t3:len-1));
%title('high stiction, level control, lag = 200S ');
axis([-0.04 0.04 -0.2 0.2])
xlabel('OP');
ylabel('PV');
grid on;
set(f7, 'PaperUnits', 'centimeters');
set(f7, 'PaperSize', [6 5]);
set(f7, 'PaperPosition', [0 0 6 5]);
saveas(f7,'PV_OP_new1_50','pdf')

    
%subplot(2,2,4)
f8 = figure(8);
plot(V2S1_OP_H(1:len-t4),S1_Voil_H(t4:len-1));
% title('high stiction, level control, lag = 200S ');
axis([-0.04 0.04 -0.2 0.2])
xlabel('OP');
ylabel('PV');
grid on;
set(f8, 'PaperUnits', 'centimeters');
set(f8, 'PaperSize', [6 5]);
set(f8, 'PaperPosition', [0 0 6 5]);
saveas(f8,'PV_OP_new1_200','pdf')
