% File that holds neccesary constant values for simulink example
clear all
clc

% Noise and simulation parametres
step_size = 0.5;
step_time = 0;
sim_time = 2000;
d_r_var = 0.00;
d_y_var = 0.00;
sampT = 0.1;

%Parameters for FOPTD
T1 = 10;
T2 = 1;
theta_0 = 0;
K = 3;

%flow control param
K_c = 0.2;
T_i = 400;

Maxu = 1;
Minu = -1;

%Valve parameters
V1.M = 1.36;                    %[kg] Mass of moving parts
V1.Fs = 2250;%1750;                   %[N=kg m^2/s^2] Maximum static friction 2250 high 1750 normal 1250 no
V1.Fc = 1250;%1250;                   %[N] Coulomb friction constant
V1.Fv = 612;                    %[N s m^-1] Viscous friction constant
V1.k = 52500;                   %[N m^-1] Spring constant
initV = 0.00;
initX = 0;
stemMaxPos = 1;
stemMinPos = -1;
stemMaxVel = 5;
stemMinVel = -5;

sim('case_choud_level.mdl',sim_time)

%%
startS = 1*100;
endS = length(PV_ideal.time)-1;
close all
f1 = figure(1)
%subplot(3,1,1)
plot(PV_ideal.time(startS:endS), OP_ideal.signals.values(startS:endS),PV_ideal.time(startS:endS), MV_ideal.signals.values(startS:endS))
xlabel('Time (s)');
l1 = legend('OP','MV');
axis([200 2000 -0.1 0.1]);
grid on;
set(f1, 'PaperUnits', 'centimeters');
set(l1,'orientation','horizontal','location','North');
set(f1, 'PaperSize', [15 5.5]);
set(f1, 'PaperPosition', [0 0 15 5.5]);
saveas(f1,'MVOP_time_ideal_integrating','pdf')

%%
subplot(3,1,2)
plot(PV_ideal.time(startS:endS), OP_ideal.signals.values(startS:endS))
title('OP');

subplot(3,1,3)
plot(PV_ideal.time(startS:endS), MV_ideal.signals.values(startS:endS))
title('MV')
% axis([0 sim_time -1.5 1.5]);

%close all
figure()
subplot(2,2,1)
plot(OP_ideal.signals.values(startS:endS),MV_ideal.signals.values(startS:endS));
%title('normal stiction, pressure control');
%axis([0 0.5 0 0.5]);
xlabel('MV');
ylabel('OP');
%set(f3,'PaperSize',[6 5]);
grid on;

subplot(2,2,2)
%f5 = figure(5);
plot(OP_ideal.signals.values(startS:endS),PV_ideal.signals.values(startS:endS));
%title('normal stiction, level control');
%axis([0 0.5 0 0.5]);
xlabel('PV');
ylabel('OP');
%set(f5,'PaperSize',[6 5]);
grid on;
    

% figure()
% plot(U_good.time,U_good.signals.values,U_bad.time,U_bad.signals.values)
% title('Input')
% legend('Good control','Bad control')
% % axis([0 sim_time -1.5 1.5]);

%%
figure()
plot(Y.time,Y.signals.values,'--',Y_good.time,Y_good.signals.values, '-.',Y_bad.time,Y_bad.signals.values)
grid;
%title('Step responce')
xlabel('Time (s)'); ylabel('Temperature (\circC)');
legend('Open loop','Closed loop SIMC', 'Closed loop poor', 'orientation','horizontal')
% %axis([0 400 -2 5]);
