clear all
clc

% H high stiction, N normal stiction, NO no stiction, only viscous and
% colomb friction

Mw_o   = 86/1000;           %Molecule weight for oil (C6H14) [kg/mol]
pa2bar = 1E5;
load C:\Master\Kompressor_simulering\Simulation\Results\05.05.09\High_stiction\high_stiction.mat

%Start/end for plot of few periods
startT = 1250;
endT = 1450;

%Start/end for plot of simulation
% startT = 800;
% endT = 2000;
sampleT = Fin.time(2)-Fin.time(1)
startS = startT/sampleT
endS = endT/sampleT


%endS = length(Fin.signals.values-1)



time = S1_Foout.time(startS:endS);
S1_Moout_H = Mw_o*S1_Foout.signals.values(startS:endS);
S2_Moout_H = Mw_o*S2_Foout.signals.values(startS:endS);
S1_Mgout_H = S1_Mgout.signals.values(startS:endS);
S2_Mgout_H = S2_Mgout.signals.values(startS:endS);

S1_Foout_H = S1_Foout.signals.values(startS:endS);
S2_Foout_H = S2_Foout.signals.values(startS:endS);
Z_in = S1_Zin.signals.values(startS:endS);

S1_P_H = S1_P.signals.values(startS:endS)/pa2bar;
S1_Pset_H = S1_Pset.signals.values(startS:endS)/pa2bar;
S2_P_H = S2_P.signals.values(startS:endS)/pa2bar;
S2_Pset_H = S2_Pset.signals.values(startS:endS)/pa2bar;

S1_Voil_H = S1_Voil.signals.values(startS:endS);
S2_Voil_H = S2_Voil.signals.values(startS:endS);
S1_Voilset_H = S1_Voilset.signals.values(startS:endS);
S2_Voilset_H = S2_Voilset.signals.values(startS:endS);

VS1_MV_H = VS1_MV.signals.values(startS:endS);  %pressure control valve
VS2_MV_H = VS2_MV.signals.values(startS:endS);  %pressure control valve
V2S1_MV_H = V3S1_MV.signals.values(startS:endS); %level control valve
V2S2_MV_H = VS2_MV2.signals.values(startS:endS); %level control valve
VS1_OP_H = VS1_OP.signals.values(startS:endS);
VS2_OP_H = VS2_OP.signals.values(startS:endS);
V2S1_OP_H = V3S1_OP.signals.values(startS:endS);
V2S2_OP_H = VS2_OP2.signals.values(startS:endS);

omega_H = omega.signals.values(startS:endS);
C2_Pout_H = C2_Pout.signals.values(startS:endS)/pa2bar;
C2_Mout_H = Tot_Mgout.signals.values(startS:endS);
C3_Pout_H = C3_Pout.signals.values(startS:endS/pa2bar);
C3_Mout_H = C3_Mout.signals.values(startS:endS);

load C:\Master\Kompressor_simulering\Simulation\Results\05.05.09\Normal_stiction\normal_stiction.mat

S1_Moout_N = Mw_o*S1_Foout.signals.values(startS:endS);
S2_Moout_N = Mw_o*S2_Foout.signals.values(startS:endS);
S1_Mgout_N = S1_Mgout.signals.values(startS:endS);
S2_Mgout_N = S2_Mgout.signals.values(startS:endS);

S1_Foout_N = S1_Foout.signals.values(startS:endS);
S2_Foout_N = S2_Foout.signals.values(startS:endS);

S1_P_N = S1_P.signals.values(startS:endS)/pa2bar;
S1_Pset_N = S1_Pset.signals.values(startS:endS)/pa2bar;
S2_P_N = S2_P.signals.values(startS:endS)/pa2bar;
S2_Pset_N = S2_Pset.signals.values(startS:endS)/pa2bar;

S1_Voil_N = S1_Voil.signals.values(startS:endS);
S2_Voil_N = S2_Voil.signals.values(startS:endS);
S1_Voilset_N = S1_Voilset.signals.values(startS:endS);
S2_Voilset_N = S2_Voilset.signals.values(startS:endS);

VS1_MV_N = VS1_MV.signals.values(startS:endS);  %pressure control valve
VS2_MV_N = VS2_MV.signals.values(startS:endS);  %pressure control valve
V2S1_MV_N = V3S1_MV.signals.values(startS:endS); %level control valve
V2S2_MV_N = VS2_MV2.signals.values(startS:endS); %level control valve
VS1_OP_N = VS1_OP.signals.values(startS:endS);
VS2_OP_N = VS2_OP.signals.values(startS:endS);
V2S1_OP_N = V3S1_OP.signals.values(startS:endS);
V2S2_OP_N = VS2_OP2.signals.values(startS:endS);

omega_N = omega.signals.values(startS:endS);
C2_Pout_N = C2_Pout.signals.values(startS:endS)/pa2bar;
C2_Mout_N = Tot_Mgout.signals.values(startS:endS);
C3_Pout_N = C3_Pout.signals.values(startS:endS)/pa2bar;
C3_Mout_N = C3_Mout.signals.values(startS:endS);

load C:\Master\Kompressor_simulering\Simulation\Results\05.05.09\No_stiction\no_stiction.mat

S1_Moout_NO = Mw_o*S1_Foout.signals.values(startS:endS);
S2_Moout_NO = Mw_o*S2_Foout.signals.values(startS:endS);
S1_Mgout_NO = S1_Mgout.signals.values(startS:endS);
S2_Mgout_NO = S2_Mgout.signals.values(startS:endS);

S1_Foout_NO = S1_Foout.signals.values(startS:endS);
S2_Foout_NO = S2_Foout.signals.values(startS:endS);

S1_P_NO = S1_P.signals.values(startS:endS)/pa2bar;
S1_Pset_NO = S1_Pset.signals.values(startS:endS)/pa2bar;
S2_P_NO = S2_P.signals.values(startS:endS)/pa2bar;
S2_Pset_NO = S2_Pset.signals.values(startS:endS)/pa2bar;

S1_Voil_NO = S1_Voil.signals.values(startS:endS);
S2_Voil_NO = S2_Voil.signals.values(startS:endS);
S1_Voilset_NO = S1_Voilset.signals.values(startS:endS);
S2_Voilset_NO = S2_Voilset.signals.values(startS:endS);

VS1_MV_NO = VS1_MV.signals.values(startS:endS);  %pressure control valve
VS2_MV_NO = VS2_MV.signals.values(startS:endS);  %pressure control valve
V2S1_MV_NO = V3S1_MV.signals.values(startS:endS); %level control valve
V2S2_MV_NO = VS2_MV2.signals.values(startS:endS); %level control valve
VS1_OP_NO = VS1_OP.signals.values(startS:endS);
VS2_OP_NO = VS2_OP.signals.values(startS:endS);
V2S1_OP_NO = V3S1_OP.signals.values(startS:endS);
V2S2_OP_NO = VS2_OP2.signals.values(startS:endS);

omega_NO = omega.signals.values(startS:endS);
C2_Pout_NO = C2_Pout.signals.values(startS:endS)/pa2bar;
C2_Mout_NO = Tot_Mgout.signals.values(startS:endS);
C3_Pout_NO = C3_Pout.signals.values(startS:endS)/pa2bar;
C3_Mout_NO = C3_Mout.signals.values(startS:endS);

%% idea nr 2

clc
% startS = 500;
% endS = 5000;
% 
% time = PV_ideal.time(startS:endS) - 50;
pv = S1_Voil_H-mean(S1_Voil_H);%;PV_ideal.signals.values(startS:endS)-mean(PV_ideal.signals.values(startS:endS));
op = V2S1_OP_H;%OP_ideal.signals.values(startS:endS);

pvf100 = DiscFilter(pv,0.1,100);
alfa100 = 100 / (100 + 0.1)

pvf50 = DiscFilter(pv,0.1,50);
alfa50 = 50 / (50 + 0.1)

pvf10 = DiscFilter(pv,0.1,10);
alfa10 = 10 / (10 + 0.1)

len = length(op);
op = op(500:len);
pv = pv(500:len);
pvf100 = pvf100(500:len);
pvf50 = pvf50(500:len);
pvf10 = pvf10(500:len);


f1 = figure(1);
plot(op,pv);
xlabel('OP');
ylabel('PV filtered');
axis([0.5 0.58 -0.4 0.4])
grid on;
set(f1, 'PaperUnits', 'centimeters');
set(f1, 'PaperSize', [6 5]);
set(f1, 'PaperPosition', [0 0 6 5]);
saveas(f1,'PV_OP_new2case_0','pdf')

f2 = figure(2);
plot(op,pvf100);
axis([0.5 0.58 -0.4 0.4])
xlabel('OP');
ylabel('PV');
grid on;
set(f2, 'PaperUnits', 'centimeters');
set(f2, 'PaperSize', [6 5]);
set(f2, 'PaperPosition', [0 0 6 5]);
saveas(f2,'PV_OP_new2case_100','pdf')

f3 = figure(3);
plot(op,pvf50);
xlabel('OP');
ylabel('PV filtered');
axis([0.5 0.58 -0.4 0.4])
grid on;
set(f3, 'PaperUnits', 'centimeters');
set(f3, 'PaperSize', [6 5]);
set(f3, 'PaperPosition', [0 0 6 5]);
saveas(f3,'PV_OP_new2case_50','pdf')

f4 = figure(4);
plot(op,pvf10);
axis([0.5 0.58 -0.4 0.4])
xlabel('OP');
ylabel('PV');
grid on;
set(f4, 'PaperUnits', 'centimeters');
set(f4, 'PaperSize', [6 5]);
set(f4, 'PaperPosition', [0 0 6 5]);
saveas(f4,'PV_OP_new2case_10','pdf')

%%
clc
close all
S1_Voil_H_f = DiscFilter(S1_Voil_H-S1_Voilset_NO,sampT,50);
% S1_Voil_H_f = DiscFilter(S1_Voil_H,sampT,50);
figure(3)
plot(time, S1_Voil_H-S1_Voilset_NO,time,S1_Voil_H_f,time,S1_Voil_H-S1_Voilset_NO-S1_Voil_H_f)
% plot(time, S1_Voil_H,time,S1_Voil_H_f,time,S1_Voil_H-S1_Voil_H_f)
legend('Voil','Voil filtered')

f1 = figure(1);
plot(V2S1_OP_H,S1_Voil_H_f);
xlabel('OP');
ylabel('PV filtered');
axis([0.5 0.6 -0.4 0.4])
grid on;
set(f1, 'PaperUnits', 'centimeters');
set(f1, 'PaperSize', [6 5]);
set(f1, 'PaperPosition', [0 0 6 5]);
saveas(f1,'new_sim_PV_OP_filt_H','pdf')

f2 = figure(2);
plot(V2S1_OP_H,S1_Voil_H-S1_Voilset_NO);
axis([0.5 0.6 -0.4 0.4])
xlabel('OP');
ylabel('PV');
grid on;
set(f2, 'PaperUnits', 'centimeters');
set(f2, 'PaperSize', [6 5]);
set(f2, 'PaperPosition', [0 0 6 5]);
saveas(f2,'new_sim_PV_OP','pdf')


%% idea nr 1
clc
close all
len = length(S1_Voil_H);
t1 = 0;
t2 = 10;
t3 = 100;
t4 = 400;
% length(S1_Voil_H(50:len-1))
% length(V2S1_OP_H(1:len-50))
f11 = figure(11);
subplot(2,2,1)
plot(V2S1_OP_H,S1_Voil_H);
title('high stiction, level control , lag = 50S');
%axis([40.5 41.6 0.5 0.58])
xlabel('PV');
ylabel('OP');
%set(f10,'PaperSize',[6 5]);
grid on;

subplot(2,2,2)
plot(V2S1_OP_H(1:len-t2),S1_Voil_H(t2:len-1));
title('high stiction, level control, lag = 100S ');
%axis([40.5 41.6 0.5 0.58])
xlabel('PV');
ylabel('OP');
%set(f10,'PaperSize',[6 5]);
grid on;

subplot(2,2,3)
plot(V2S1_OP_H(1:len-t3),S1_Voil_H(t3:len-1));
title('high stiction, level control, lag = 150S ');
%axis([40.5 41.6 0.5 0.58])
xlabel('PV');
ylabel('OP');
%set(f10,'PaperSize',[6 5]);
grid on;

subplot(2,2,4)
plot(V2S1_OP_H(1:len-t4),S1_Voil_H(t4:len-1));
title('high stiction, level control, lag = 200S ');
%axis([40.5 41.6 0.5 0.58])
xlabel('PV');
ylabel('OP');
%set(f10,'PaperSize',[6 5]);
grid on;

%%
close all
f5 = figure(5);
%subplot(2,2,1)
plot(V2S1_OP_H,S1_Voil_H);
%title('high stiction, level control, lag = 10S ');
axis([0.5 0.58 40.5 41.6])
xlabel('OP');
ylabel('PV');
grid on;
set(f5, 'PaperUnits', 'centimeters');
set(f5, 'PaperSize', [6 5]);
set(f5, 'PaperPosition', [0 0 6 5]);
saveas(f5,'PV_OP_new1_0','pdf')


%subplot(2,2,2)
f6 = figure(6);
plot(V2S1_OP_H(1:len-t2),S1_Voil_H(t2:len-1));
%title('high stiction, level control, lag = 50S ');
axis([0.5 0.58 40.5 41.6])
xlabel('OP');
ylabel('PV');
grid on;
set(f6, 'PaperUnits', 'centimeters');
set(f6, 'PaperSize', [6 5]);
set(f6, 'PaperPosition', [0 0 6 5]);
saveas(f6,'PV_OP_new1_10','pdf')

%subplot(2,2,3)
f7 = figure(7);
plot(V2S1_OP_H(1:len-t3),S1_Voil_H(t3:len-1));
%title('high stiction, level control, lag = 200S ');
axis([0.5 0.58 40.5 41.6])
xlabel('OP');
ylabel('PV');
grid on;
set(f7, 'PaperUnits', 'centimeters');
set(f7, 'PaperSize', [6 5]);
set(f7, 'PaperPosition', [0 0 6 5]);
saveas(f7,'PV_OP_new1_200','pdf')

    
%subplot(2,2,4)
f8 = figure(8);
plot(V2S1_OP_H(1:len-t4),S1_Voil_H(t4:len-1));
% title('high stiction, level control, lag = 200S ');
axis([0.5 0.58 40.5 41.6])
xlabel('OP');
ylabel('PV');
grid on;
set(f8, 'PaperUnits', 'centimeters');
set(f8, 'PaperSize', [6 5]);
set(f8, 'PaperPosition', [0 0 6 5]);
saveas(f8,'PV_OP_new1_400','pdf')
