%Constants for compressor C2 and anti-surge controller 
%Compressor constants 
R      = 8.314472;                      %Gas constant [J/(K*mol)]
Tin    = 273.15+29.8;                   %Compressor inlet temperature [K]
gamma  = 1.306;                         %Gas constant ratio, cp/cv
M      = 16;                            %Molar mass [g/mil]
c01    = sqrt((gamma*R*Tin*1000)/M)    %speed of sound in gas[m/s]
Vin    = 0.6;                           %Inlet volume [m^3]
Vout   = 0.6;                           %Discharge volume [m^3]
Ai     = 0.00956;                       %Duct area [m^2]
Lc     = 1.8;                           %Length of compressor and duct[m]
N0     =13434;                          %Compressor nominal shaft speed [RPM]
Omega0 =(2*pi*N0)/60;                   %Compressor nominal shaft speed [Rad/s]
C6     =1/Omega0;                       %Conversion to relative compressor speed  
load ComcharmC2                         %Compressor characteristic for compressor C2
 
%Anti-surge controller
Onoff  =  1;                            %Switch the controller on[1] off[0]
C1     =  0.5565;                       %constants C1-C3 is used to calculate
C2     =  1.3295;                       %the process value for
C3     =  0.0858;                       %the PI controller
Kpasc  =  0.22;                         %Controller proportional gain
Tiasc  =  3;                            %Controller integral gain
Maxasc = 1;                             %Maximum valve opening
Minasc = 0;                             %Minimum valve opening
DULIMS = -0.02;                         %Maximum valve closing rate. 
 
%Recycle valve constant 
Vcas   = 0.020;                         %Valve size
