%Constants for Compressor C3 and gas turbine   

%Compressor constants 
R      = 8.314472;                      %Gas constant [J/(K*mol)]
Tin    = 273.15+29.7;                   %Compressor inlet temperature [K]
gamma  = 1.306;                         %Gas constant ratio, cp/cv
M      = 16;                            %Molar mass [g/mil]
c01    = sqrt((gamma*R*Tin*1000)/M);    %speed of sound in gas[m/s]
Vin    = 0.6;                           %Inlet volume [m^3]
Vout   = 0.6;                           %Discharge volume [m^3]
Ai     = 0.00956;                       %Duct area [m^2]
Lc     = 1.8;                           %Length of compressor and duct[m]
N0     =13434;                          %Compressor nominal shaft speed [RPM]
Omega0 =(2*pi*N0)/60;                   %Compressor nominal shaft speed [Rad/s]
C6     =1/Omega0;                       %Conversion to relative compressor speed  
load ComcharmC3                         %Compressor characteristic for compressor C2

%Anti surge controller
Onoff  = 1;                              %Switch the controller on[1] off[0]
C1     =  0.6013;                       %Constants C1-C3 is used to calculate
C2     =  -0.1668;                      %the process value for
C3     =  0.2746;                       %the PI controller
Kpasc  =  0.53;                         %Controller proportional gain
Tiasc  =  12;                           %Controller integral gain
Maxasc = 1;                             %Maximum valve opening
Minasc = 0;                             %Minimum valve opening
DULIMS = -0.04;                         %Maximum valve closing rate. 

%Recycle valve constant 
Vcas   = 0.025;                         %Valve size