%Constants for separator S1
Mw_g   = 16;           %Molecule weight for the gas methane (C1H4) [g/mol]
MW_o   = 86;           %Molecule weight for oil (C6H14) [g/mol]
P_v    = 261*10^5;     %Vapour pressure for methane at 70-68.5 grader Celsius [Pa]
V_sep  = 81.9;         %Total separator volume [m^3]
R      =  8.314472;    %Gas constant[J(K*mol]
T      =  35+273.15;   %Temperature [K]
rhooil =  659;         %Density for oil in liquid phase [Kg/m^3]
rhogd  =  422;         %Density for gas in liquid phase [Kg/m^3]
C4     =  0.003;       %Tunings constant  0.003
C5     =  Mw_g/1000;   %Conversion from [mol/s] to [kg/s] 
P_atm = 1*10^5;

%Valve parameters
V1.Vc     =  27.4;%21.38;       %Valve constant
V2.Vc = 6.1;%8.7;
V1.M = 1.36;                    %[kg] Mass of moving parts
V1.Fs = 3000;                   %[N=kg m^2/s^2] Maximum static friction 2250 high 1750 normal 1250 no
V1.Fc = 625;                   %[N] Coulomb friction constant
V1.Fv = 612;                    %[N s m^-1] Viscous friction constant
V1.k = 52500;                   %[N m^-1] Spring constant
initV = 0.00;
initX = 0;
stemMaxPos = 1;
stemMinPos = 0;
stemMaxVel = 5;%0.5;
stemMinVel = -5;%0.5;

%Pressure controller
Kpp=-0.0000005; %-0.0000005;
Tip=8;
Maxp=1;
Minp=0;

%Volume controller
Kpv=-0.1;%200;   
Tiv=200;
Maxv=1;%30000;
Minv=0;

%Safety pressure controller
P_sset=40*10^5;%36.5*10^5;
Kpps=-0.01;
Tips=0.8;
Maxps=1e20;
Minps=0;
