clc
clear all

sim('model_stiction',(300));


%% 

close all;
f1 = figure(1);
plot(VS1_OP.signals.values, VS1_MV.signals.values, '--k',V3S1_OP.signals.values, V3S1_MV.signals.values,'b');
axis([0 1 0 1]);
title('MV-OP plot')
xlabel('OP, controller output'); ylabel('MV, valve output');
legend('Pressure control valve','Volume control valve');
grid;

f2 = figure(3);
subplot(2,1,1);
plot(VS1_MV.time, VS1_MV.signals.values,'--', VS1_OP.time, VS1_OP.signals.values,VS1_V.time, VS1_V.signals.values,'-.');
title('Pressure control valve, S1');
%axis([0 1000 -1 1]);
xlabel('Time(s)');
legend('MV','OP','stem vel');
grid;
subplot(2,1,2);
plot(V3S1_MV.time, V3S1_MV.signals.values,'--', V3S1_OP.time, V3S1_OP.signals.values,V3S1_V.time, V3S1_V.signals.values,'-.');
title('Volume control valve, S1');
%axis([0 1000 -1 1]);
xlabel('Time(s)');
legend('MV','OP','stem vel');
grid;

f3 = figure(4);
subplot(2,1,1);
plot(VS2_MV.time, VS2_MV.signals.values,'--', VS2_OP.time, VS2_OP.signals.values,VS2_V.time, VS2_V.signals.values,'-.');
title('Pressure control valve, S2');
%axis([0 1000 -1 1]);
xlabel('Time(s)');
legend('MV','OP','stem vel');
grid;
subplot(2,1,2);
plot(VS2_MV2.time, VS2_MV2.signals.values,'--', VS2_OP2.time, VS2_OP2.signals.values,VS2_V2.time, VS2_V2.signals.values,'-.');
title('Volume control valve, S2');
%axis([0 1000 -1 1]);
xlabel('Time(s)');
legend('MV','OP','stem vel');
grid;

% figure(4)
% plot(VS1_MV.time, VS1_MV.signals.values, '--', VS1_V.time, VS1_V.signals.values, VS1_Ff.time, VS1_Ff.signals.values);
% %axis([0 100 0 1])
% xlabel('Time(s)');
% legend('MV','V','Ff');
% grid;

f5 = figure(5);
subplot(3,1,1);
plot(S1_Zin.time, S1_Zin.signals.values, '-.', S1_Zout.time, S1_Zout.signals.values, '--', S2_Zout.time, S2_Zout.signals.values)
title('Methane fraction in separator S1 and S2');
xlabel('Time(s)');
legend('S1 Zin','S1 Zout','S2 Zout');
grid;
subplot(3,1,2);
plot( S1_Mgout.time, S1_Mgout.signals.values, '--',S1_MgTorch.time, S1_MgTorch.signals.values, '-.',S2_Mgout.time, S2_Mgout.signals.values, S2_MgTorch.time, S2_MgTorch.signals.values)
title('Gas flow from Separator S1 and S2');
xlabel('Time(s)');
legend('S1 Mgout','S1 MgTorch','S2 Mgout', 'S2 MgTorch');
grid;
subplot(3,1,3);
plot( S1_Pset.time, S1_Pset.signals.values,S1_P.time, S1_P.signals.values, '--', S2_Pset.time, S2_Pset.signals.values,'-.',S2_P.time, S2_P.signals.values);
title('Separator pressure in S1 and S2');
xlabel('Time(s)');
legend('S1 Pset','S1 P','S2 Pset','S2 P');
grid;

f7 = figure(7);
subplot(2,1,1);
plot( S1_Foin.time, S1_Foin.signals.values,'-.',S1_Foout.time, S1_Foout.signals.values, '--',S2_Foout.time, S2_Foout.signals.values)
title('Oil flow in separator S1 and S2');
xlabel('Time(s)');
legend('S1 Fin','S1 Foout','S2 Foout');
grid;
subplot(2,1,2);
plot( S1_Voilset.time, S1_Voilset.signals.values, '--',S1_Voil.time, S1_Voil.signals.values,  S2_Voilset.time, S2_Voilset.signals.values, '--',S2_Voil.time, S2_Voil.signals.values)
title('Liquid volume in separator S1 and S2');
xlabel('Time(s)');
legend('S1 Voilset','S1 Voil','S2 Voilset','S2 Voil');
grid;

f8 = figure(8);
subplot(2,1,1);
plot( C2_Pout.time, C2_Pout.signals.values,'-.',C3_Pout.time, C3_Pout.signals.values);
title('Pressure in compressor C2 and C3');
xlabel('Time(s)');
legend('C2 Pout','C3 Pout');
grid;
subplot(2,1,2);
plot( omega.time, omega.signals.values);
title('Gas turbine shaft speed');
xlabel('Time(s)');
legend('S1 Voilset','S1 Voil','S2 Voilset','S2 Voil');
grid;



%%
saveas(f1,'MV_OP','fig');
saveas(f2,'S1_MV_OP_time','fig');
saveas(f3,'S2_MV_OP_time','fig');
saveas(f5,'met_frac_flow_pres','fig');
saveas(f7,'oil_flow_vol','fig');

